## magic 8.0.210

=== calma/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-8.0/calma/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $
#

MODULE =    calma
MAGICDIR =  ..
SRCS =      CalmaRead.c CalmaRdcl.c CalmaRdio.c CalmaRdpt.c CalmaWrite.c

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak
