=== dbwind/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-8.0/dbwind/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $
#

MODULE    = dbwind
MAGICDIR  = ..
SRCS      = DBWcommands.c DBWdisplay.c DBWbuttons.c DBWelement.c \
	    DBWfdback.c DBWhlights.c DBWprocs.c DBWtools.c DBWundo.c

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak
