=== extflat/Makefile ===
#
# rcsid "$Header: /usr/cvsroot/magic-8.0/extflat/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $"
#

MODULE    = extflat
MAGICDIR  = ..
SRCS      = EFargs.c EFbuild.c EFdef.c EFerr.c EFflat.c EFhier.c EFname.c \
            EFread.c EFsym.c EFvisit.c 

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak
