=== irouter/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-8.0/irouter/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $
#

MODULE    = irouter
MAGICDIR  = ..
SRCS      = irCommand.c irMain.c irRoute.c irTestCmd.c irUtils.c 

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak
