=== debian/changelog ===
magic (8.0.210-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:33:57 +0000

magic (8.0.210-2) unstable; urgency=medium

  * Added 08-reproducible-build.patch to support reproducible builds,
    thanks to Chris Lamb (Closes: #778272)

 -- Roland Stigge <stigge@antcom.de>  Sun, 17 Jan 2016 14:16:27 +0100

magic (8.0.210-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Standards-Version: 3.9.6

 -- Roland Stigge <stigge@antcom.de>  Sat, 16 Jan 2016 17:20:41 +0100
