=== debian/control ===
Source: magic
Section: electronics
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Roland Stigge <stigge@antcom.de>
Build-Depends: debhelper (>= 9), autotools-dev, mesa-common-dev, tcl-dev, tk-dev, blt-dev, csh, m4
Standards-Version: 3.9.6
Homepage: http://www.opencircuitdesign.com/magic/

Package: magic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tclsh, wish
Suggests: irsim
Description: VLSI layout tool
 Magic is a venerable VLSI layout tool, written in the 1980's at Berkeley by
 John Ousterhout, now famous primarily for writing the scripting interpreter
 language Tcl. Due largely in part to its liberal Berkeley open-source license,
 magic has remained popular with universities and small companies. The
 open-source license has allowed VLSI engineers with a bent toward programming
 to implement clever ideas and help magic stay abreast of fabrication
 technology. However, it is the well thought-out core algorithms which lend to
 magic the greatest part of its popularity. Magic is widely cited as being the
 easiest tool to use for circuit layout, even for people who ultimately rely on
 commercial tools for their product design flow.
