## magic 8.1.214+ds.1

=== debian/changelog ===
magic (8.1.214+ds.1-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Priority changed from extra to optional
    - Maintainer changed to Debian Science Maintainers (Closes: #812749)
    - Myself added as uploader
    - dh-autoreconf and libglu1-mesa-dev added as build-dependencies
    - Standards version updated to 4.1.5
    - Added new VCS URLs
    - Fix whitespace error
  * debian/copyright:
    - Format field uses https
    - Updated some copyright years.
    - Added myself to listing for debian/*
    - Added Files-Excluded for embedded readline library
  * debian/gbp.conf:
    - Specify that pristine-tar is used
  * debian/lintian-overrides
    - Override some wrongly detected lintian errors
  * debian/patches:
    - 0008-Some-spelling-errors-fixed.patch - fix spelling errors
    - 0009-Tutorials-and-ps-files-installed-in-usr-share-doc-ma.patch
      - Put these files in FHS compliant directories
    - Refreshed all other patches and make them work with gbp-pq
  * debian/README.source:
    - Specify what is excluded in repacked source
  * debian/rules:
    - Set hardening flags
    - Use autoreconf instead of autools_dev
    - Added debian/autoreconf to specify directory to run autoreconf
  * debian/watch:
    - Add dversionmangle and oversionmangle in order to properly add +ds1
      suffix to upstream version
    - Updated watch file so that it looks for all versions in the 8.1.x range.
      Earlier it was watching only 7.x versions.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 29 Jul 2018 11:40:39 +0200
