=== debian/control ===
--- 
+++ 
@@ -1,10 +1,20 @@
 Source: magic
 Section: electronics
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roland Stigge <stigge@antcom.de>
-Build-Depends: debhelper (>= 9), autotools-dev, mesa-common-dev, tcl-dev, tk-dev, blt-dev, csh, m4
-Standards-Version: 3.9.6
+Priority: optional
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
+               mesa-common-dev,
+               libglu1-mesa-dev,
+               tcl-dev,
+               tk-dev,
+               blt-dev,
+               tcsh|csh,
+               m4
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/science-team/magic
+Vcs-Git: https://salsa.debian.org/science-team/magic.git
 Homepage: http://www.opencircuitdesign.com/magic/
 
 Package: magic
@@ -21,4 +31,4 @@
  technology. However, it is the well thought-out core algorithms which lend to
  magic the greatest part of its popularity. Magic is widely cited as being the
  easiest tool to use for circuit layout, even for people who ultimately rely on
- commercial tools for their product design flow. 
+ commercial tools for their product design flow.
