## magic 8.1.218%2Bds.1

=== debian/changelog ===
magic (8.1.218+ds.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 01 Nov 2018 18:53:00 +0100

magic (8.1.218+ds.1-1) unstable; urgency=medium

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 30 Oct 2018 19:42:41 +0100

magic (8.1.217+ds.1-1) unstable; urgency=medium

  * New upstream release
  * debian/compat: level 11
  * debian/control:
    - debhelper >= 11
    - New standards version 4.2.1 - no changes
    - Fixed URL to homepage
    - dh-autoreconf not needed anymore as build-dependency
  * debian/copyright:
    - Fixed URL to source
  * debian/rules:
    - --no-parallel added

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 22 Sep 2018 12:47:50 +0200
