=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11),
                mesa-common-dev,
                libglu1-mesa-dev,
                tcl-dev,
@@ -12,10 +11,10 @@
                blt-dev,
                tcsh|csh,
                m4
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/science-team/magic
 Vcs-Git: https://salsa.debian.org/science-team/magic.git
-Homepage: http://www.opencircuitdesign.com/magic/
+Homepage: http://opencircuitdesign.com/magic/
 
 Package: magic
 Architecture: any
