## magic 8.1.220+ds.1

=== debian/changelog ===
magic (8.1.220+ds.1-1) unstable; urgency=medium

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 20 Dec 2018 10:04:31 +0100
