=== debian/changelog ===
magic (8.1.223+ds.1-1) unstable; urgency=medium

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 03 Feb 2019 23:52:23 +0100

magic (8.1.222+ds.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - New standards version 4.3.0 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 29 Jan 2019 16:04:56 +0000
