=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                blt-dev,
                tcsh|csh,
                m4
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/science-team/magic
 Vcs-Git: https://salsa.debian.org/science-team/magic.git
 Homepage: http://opencircuitdesign.com/magic/
