## magic 8.2.102+ds.1

=== debian/changelog ===
magic (8.2.102+ds.1-1~exp1) experimental; urgency=medium

  * New upstream release
  * debian/control:
    - Added two new build-dependencies:  python3 and libcairo2-dev
  * debian/copyright: One new copyright holder
  * d/patches/0010-Use-MCPP-instead-SCPP.patch:
    - Fix a build issue
  * d/patches/0011-Add-bindings-to-scroll-with-shift-or-ctrl-pressed.patch:
    - Added a few useful macros for scrolling to proto.magicrc.in

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 28 Mar 2019 22:22:28 +0100
