=== debian/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
                tk-dev,
                blt-dev,
                tcsh|csh,
+               python3,
+               libcairo2-dev,
                m4
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/science-team/magic
