## magic 8.2.149+ds.1

=== debian/changelog ===
magic (8.2.149+ds.1-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release
  * debian/control:
    - New standards version 4.4.1 - no changes
    - DH level 12
    - Use debhelper-compat

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 19 Oct 2019 19:43:56 +0200
