=== tiles/Makefile ===
#
# rcsid "$Header: /usr/cvsroot/magic-8.0/tiles/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $"
#

MODULE    = tiles
MAGICDIR  = ..
SRCS      = tile.c search.c search2.c 

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak
