=== debug/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-8.0/debug/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $
#

MODULE    = debug
MAGICDIR  = ..
SRCS      = debugFlags.c hist.c

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak
