=== drc/Makefile ===
#
# rcsid "$Header: /usr/cvsroot/magic-8.0/drc/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $"
#

MODULE    = drc
MAGICDIR  = ..
SRCS      = DRCarray.c DRCbasic.c DRCcif.c DRCcontin.c DRCmain.c \
	    DRCsubcell.c DRCtech.c DRCprint.c DRCextend.c

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak
