=== gcr/Makefile ===
#
# rscid $Header:
#

MODULE    = gcr
MAGICDIR  = ..
SRCS      = gcrChannel.c gcrColl.c gcrDebug.c gcrEdge.c gcrFeas.c \
            gcrFlags.c gcrInit.c gcrLib.c gcrRiver.c gcrRoute.c gcrShwFlgs.c \
            gcrUnsplit.c 

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak
