=== magic/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 BITMAPS = up.xbm down.xbm left.xbm right.xbm zoom.xbm lock.xbm
 DEST_XBM = $(BITMAPS:%=$(DESTDIR)${TCLDIR}/bitmaps/%)
 
-DFLAGS += -DMAGIC_DATE="\"`date`\""
+DFLAGS += -DMAGIC_DATE="\"`date`\"" -DCAD_DIR="${LIBDIR}"
 LIBS   += ${GR_LIBS} ${READLINE_LIBS} -lm ${LD_EXTRA_LIBS} \
 		${OA_LIBS} ${TOP_EXTRA_LIBS}
 CLEANS += tclmagic${SHDLIB_EXT} libtclmagic${SHDLIB_EXT}.a proto.magicrc
@@ -35,12 +35,11 @@
 	@echo --- making magic Tcl library \(tclmagic${SHDLIB_EXT}\)
 	${RM} tclmagic${SHDLIB_EXT}
 	${CC} ${CFLAGS} ${CPPFLAGS} -o $@ ${LDDL_FLAGS} ${LD_RUN_PATH} \
-		${EXTRA_LIBS} ${LD_EXTRA_LIBS} -lc ${LIBS} \
-		${LIB_SPECS} ${LDFLAGS}
+		${EXTRA_LIBS} ${LD_EXTRA_LIBS} \
+		-lc ${LIBS} ${LIB_SPECS} ${LDFLAGS}
 
-proto.magicrc: proto.magicrc.m4
-	sed -e /CAD_DIR/s%CAD_DIR%${LIBDIR}%g proto.magicrc.m4 | \
-		${M4} ${GR_DFLAGS} ${DFLAGS} > proto.magicrc
+proto.magicrc: proto.magicrc.in
+	${SCPP} ${GR_DFLAGS} ${DFLAGS} proto.magicrc.in > proto.magicrc
 
 install: $(DESTDIR)${BINDIR}/${MODULE}${EXEEXT} $(DESTDIR)${SYSDIR}/.magicrc \
 	$(DESTDIR)${SYSDIR}/magicps.pro
