=== scmos/Makefile ===
--- 
+++ 
@@ -18,7 +18,8 @@
 include ${MAGICDIR}/defs.mak
 
 SC_M4 = ${M4}
-SC_CPP = ${CPP} -I./extract_template
+#SC_CPP = ${MCPP} -I./extract_template
+SC_CPP = ${SCPP} -I./extract_template
 
 FILES = mos.7bit.dstyle mos.7bit.std.cmap \
 	mos.24bit.dstyle mos.24bit.std.cmap \
@@ -79,11 +80,11 @@
 	$(SC_CPP) -DV5 -DSTANDARD -DWELL_ROUTE_CHECK scmos.tech.out > scmosWR.tech
 	$(RM) scmos.tech.out
 
-minimum.tech: minimum.tech.m4
-	$(SC_M4) minimum.tech.m4 > minimum.tech
+minimum.tech: minimum.tech.in
+	$(SC_M4) minimum.tech.in > minimum.tech
 
-gdsquery.tech: gdsquery.tech.m4
-	$(SC_M4) gdsquery.tech.m4 > gdsquery.tech
+gdsquery.tech: gdsquery.tech.in
+	$(SC_M4) gdsquery.tech.in > gdsquery.tech
 
 $(CIFin):
 $(CIFout):
