=== sim/Makefile ===
#
# rscid $Header:
#

MODULE    = sim
MAGICDIR  = ..
SRCS      = SimDBstuff.c SimSelect.c SimRsim.c SimExtract.c 

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak
