=== debian/changelog ===
magic (8.2.157+ds.1-1) unstable; urgency=low

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 07 Nov 2019 21:14:45 +0100
