=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                mesa-common-dev,
                libglu1-mesa-dev,
                tcl-dev,
@@ -13,7 +13,7 @@
                python3,
                libcairo2-dev,
                m4
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/magic
 Vcs-Git: https://salsa.debian.org/science-team/magic.git
 Homepage: http://opencircuitdesign.com/magic/
